<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">


    <link rel="stylesheet" href="style.css">
    <title>Bootstrap: Component</title>

  </head>

  <body>

  	<nav class="navbar navbar-expand-lg navbar-dark bg-info">
  	  <a class="navbar-brand" href="#">Xen | Porforlio </a>
  	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
  	    <span class="navbar-toggler-icon"></span>
  	  </button>
  	  <div class="collapse navbar-collapse" id="navbarNav">
  	    <ul class="navbar-nav">
  	      <li class="nav-item active">
  	        <a class="nav-link" href="#">Home</a>
  	      </li>
  	      <li class="nav-item">
  	        <a class="nav-link" href="#">About Me</a>
  	      </li>
  	      <li class="nav-item">
  	        <a class="nav-link" href="#">Projects</a>
  	      </li>
  	      <li class="nav-item">
  	        <a class="nav-link" href="#">Contact</a>
  	      </li>
  	    </ul>
  	  </div>
  	</nav>

  	<!-- JUMBOTRON -->
  	<div class="jumbotron">
  	  <h1 class="display-4">Hello, world!</h1>
  	  <p class="lead">This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>
  	  <hr class="my-4">
  	  <p>It uses utility classes for typography and spacing to space content out within the larger container.</p>
  	  <a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a>
  	</div>

  	<!-- Buttons -->
  	<div class="m-5 p-3">
  		<h1>Buttons</h1>
  		<button type="button" class="btn btn-primary rounded-0">Primary</button>
  		<button type="button" class="btn btn-secondary">Secondary</button>
  		<button type="button" class="btn btn-success">Secondary</button>
  		<button type="button" class="btn btn-warning">Secondary</button>
  		<button type="button" class="btn btn-info">Info</button>
  		<button type="button" class="btn btn-danger">Danger</button>

  		<h1>Link</h1>
  		<a href="#" class="btn btn-danger">Link</a>

  		<h1>Outline button</h1>
  		<button type="button" class="btn btn-outline-primary rounded-0">Primary</button>
  		<button type="button" class="btn btn-outline-secondary">Secondary</button>
  		<button type="button" class="btn btn-outline-success">Secondary</button>
  		<button type="button" class="btn btn-outline-warning">Secondary</button>
  		<button type="button" class="btn btn-outline-info">Info</button>
  		<button type="button" class="btn btn-outline-danger">Danger</button>

  		<!-- FORMS -->
  		<form>
  		  <div class="form-group">
  		    <label for="exampleInputEmail1">Email address</label>
  		    <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
  		    <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  		  </div>
  		  <div class="form-group">
  		    <label for="exampleInputPassword1">Password</label>
  		    <input type="password" class="form-control" id="exampleInputPassword1">
  		  </div>
  		  <div class="form-group form-check">
  		    <input type="checkbox" class="form-check-input" id="exampleCheck1">
  		    <label class="form-check-label" for="exampleCheck1">Check me out</label>
  		  </div>
  		  <button type="submit" class="btn btn-primary">Submit</button>
  		</form>

<!-- MODAL -->
  		<!-- Button trigger modal -->
  		<div class="text-center">
  			<button type="button" class="btn btn-primary " data-toggle="modal" data-target="#exampleModal">Launch demo modal</button>
  		</div>
  		

  		<!-- Modal -->
  		<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  		  <div class="modal-dialog">
  		    <div class="modal-content">
  		      <div class="modal-header">
  		        <h5 class="modal-title" id="exampleModalLabel">FORMS</h5>
  		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
  		          <span aria-hidden="true">&times;</span>
  		        </button>
  		      </div>
  		      <div class="modal-body">
  		        <form>
  		          <div class="form-group">
  		            <label for="exampleInputEmail1">Email address</label>
  		            <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
  		            <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
  		          </div>
  		          <div class="form-group">
  		            <label for="exampleInputPassword1">Password</label>
  		            <input type="password" class="form-control" id="exampleInputPassword1">
  		          </div>
  		          <div class="form-group form-check">
  		            <input type="checkbox" class="form-check-input" id="exampleCheck1">
  		            <label class="form-check-label" for="exampleCheck1">Check me out</label>
  		          </div>
  		        </form>
  		      </div>
  		      <div class="modal-footer">
  		        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
  		        <button type="button" class="btn btn-primary">Submit</button>
  		      </div>
  		    </div>
  		  </div>
  		</div>
  		<br>

  		<!-- crc rule -->
  		<div class="container mt-5">
  			<div class="row justify-content-center">
  				<div class="col-12 col-md-6 col-lg-4">
  					<!-- CAROUSEL -->
  					<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
  					  <ol class="carousel-indicators">
  					    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
  					    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
  					    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
  					  </ol>
  					  <div class="carousel-inner ml-500 mr-500">
  					    <div class="carousel-item active">
  					      <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="d-block w-100" alt="...">
  					      <div class="carousel-caption d-none d-md-block">
  					        <h5>First slide label</h5>
  					        <p>Some representative placeholder content for the first slide.</p>
  					      </div>
  					    </div>
  					    <div class="carousel-item">
  					      <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="d-block w-100" alt="...">
  					      <div class="carousel-caption d-none d-md-block">
  					        <h5>Second slide label</h5>
  					        <p>Some representative placeholder content for the second slide.</p>
  					      </div>
  					    </div>
  					    <div class="carousel-item">
  					      <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="d-block w-100" alt="...">
  					      <div class="carousel-caption d-none d-md-block">
  					        <h5>Third slide label</h5>
  					        <p>Some representative placeholder content for the third slide.</p>
  					      </div>
  					    </div>
  					  </div>
  					  <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
  					    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
  					    <span class="sr-only">Previous</span>
  					  </a>
  					  <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
  					    <span class="carousel-control-next-icon" aria-hidden="true"></span>
  					    <span class="sr-only">Next</span>
  					  </a>
  					</div>
  				</div>
  			</div>
  		</div>
  		<br>
  		<!-- CARD -->
  		<div class="row">
  			<div class="col-12 col-md-6 d-flex justify-content-center">
  				<div class="card" style="width: 18rem;">
  				  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
  				  <div class="card-body">
  				    <h5 class="card-title">Card title</h5>
  				    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
  				    <a href="#" class="btn btn-primary">Go somewhere</a>
  				  </div>
  				</div>
  			</div>
  			<div class="col-12 col-md-6 d-flex justify-content-center">
  				<div class="card" style="width: 18rem;">
  				  <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="card-img-top" alt="...">
  				  <div class="card-body">
  				    <h5 class="card-title">Card title</h5>
  				    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
  				    <a href="#" class="btn btn-primary">Go somewhere</a>
  				  </div>
  				</div>
  			</div>
  		</div>


  	</div>






    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>
  </body>
</html>